/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2018 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/dr_time_entries.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/dr_time_entries.xml',
'<View title="DR time entries" deleteAllowed="false" defaultFormHandler="xxas_timecard_entry_pkg.edit_weekly_timecard_handler">

  <CreateFields>
    <Hidden id="ASSIGNMENT_ID"/>
    <Hidden id="WEEK_START_DATE1"/>
    <Hidden id="WEEK_START_DATE2"/>
    <Hidden id="WEEK_START_DATE3"/>
    <Hidden id="WEEK_START_DATE4"/>
    <Hidden id="WEEK_START_DATE5"/>
    <Hidden id="WEEK_START_DATE6"/>
    <Hidden id="WEEK_START_DATE7"/>
    <Hidden id="WEEK_START_DATE1_OLD"/>
    <Hidden id="WEEK_START_DATE2_OLD"/>
    <Hidden id="WEEK_START_DATE3_OLD"/>
    <Hidden id="WEEK_START_DATE4_OLD"/>
    <Hidden id="WEEK_START_DATE5_OLD"/>
    <Hidden id="WEEK_START_DATE6_OLD"/>
    <Hidden id="WEEK_START_DATE7_OLD"/>
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/dr_time_entries.xml');
END;
/
COMMIT;
EXIT;
